Merchant Management Webhooks Section
Webhooks
Get All Webhook Subscriptions
get /merchant-management/webhooks/subscriptions
Retrieve all webhook subscriptions affiliated to the authenticated client.
Example Response
200 A list of webhook subscriptions was successfully returned.
401 Unauthorized - Error response.
403 Forbidden error response.
500 Internal Server Error - Error response.
Create a Webhook Subscription
post /merchant-management/webhooks/subscriptions
Create a new webhook subscription.
Request Schema
description required
Type
stringLoading...
targetUrl required
Type
stringLoading...
authorization required
Type
objectLoading...
events required
Type
arrayLoading...
secret required
Type
stringLoading...
Example Request
Example Response
200 Webhook subscription was successfully created.
400 Bad Request - One or more of the provided webhook event names are invalid.
401 Unauthorized - Error response.
403 Forbidden error response.
422 Unprocessable Entity - Request body failed structural validation.
500 Internal Server Error - Error response.
Get Webhook Subscription by ID
get /merchant-management/webhooks/subscriptions/id/{subscriptionId}
Retrieve webhook subscription details by subscription ID.
Parameters
subscriptionId required
Type
stringLoading...
Example Response
200 Webhook subscription details were successfully returned.
401 Unauthorized - Error response.
403 Forbidden error response.
404 Not Found - Error response.
422 Unprocessable Entity - Subscription ID failed validation.
500 Internal Server Error - Error response.
Update Webhook Subscription by ID
patch /merchant-management/webhooks/subscriptions/id/{subscriptionId}
Update a webhook subscription by subscription ID.
Parameters
subscriptionId required
Type
stringLoading...
Request Schema
description
Type
stringLoading...
targetUrl
Type
stringLoading...
authorization
Type
objectLoading...
events
Type
arrayLoading...
secret
Type
stringLoading...
Example Request
Example Response
200 Webhook subscription was successfully updated.
400 Bad Request - One or more of the provided webhook event names are invalid.
401 Unauthorized - Error response.
403 Forbidden error response.
404 Not Found - Error response.
422 Unprocessable Entity - Subscription ID or request body failed structural validation.
500 Internal Server Error - Error response.
Delete Webhook Subscription by ID
delete /merchant-management/webhooks/subscriptions/id/{subscriptionId}
Delete a webhook subscription by subscription ID.
Parameters
subscriptionId required
Type
stringLoading...
Example Response
200 Webhook subscription was successfully deleted.
401 Unauthorized - Error response.
403 Forbidden error response.
404 Not Found - Error response.
422 Unprocessable Entity - Subscription ID failed validation.
500 Internal Server Error - Error response.